scala.swing

# TextArea

#### class TextArea extends TextComponent with HasColumns with HasRows

A text component that allows multiline text input and display.

Source
  TextArea.scala
See also

  javax.swing.JTextArea

Linear Supertypes
HasRows, HasColumns, TextComponent, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. TextArea
2. HasRows
3. HasColumns
4. TextComponent
5. Component
6. UIElement
7. LazyPublisher
8. Publisher
9. Reactor
10. Proxy
11. AnyRef
12. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TextArea()

2. #### new TextArea(rows: Int, columns: Int)

3. #### new TextArea(text: String)

4. #### new TextArea(text0: String, rows0: Int, columns0: Int)

### Type Members

1. #### class Caret extends Publisher

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def append(t: String): Unit

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def background: Color

   Definition Classes
     UIElement

9. #### def background_=(c: Color): Unit

   Definition Classes
     UIElement

10. #### def border: Border

    Definition Classes
      Component

11. #### def border_=(b: Border): Unit

    Definition Classes
      Component

12. #### def bounds: Rectangle

    Definition Classes
      UIElement

13. #### object caret extends Caret

14. #### def charWrap: Boolean

15. #### def charWrap_=(w: Boolean): Unit

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

17. #### def columns: Int

    Definition Classes
      TextArea → HasColumns

18. #### def columns_=(n: Int): Unit

    Definition Classes
      TextArea → HasColumns

19. #### def copy(): Unit

    Definition Classes
      TextComponent

20. #### def cursor: Cursor

    Definition Classes
      UIElement

21. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

22. #### def cut(): Unit

    Definition Classes
      TextComponent

23. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

24. #### def displayable: Boolean

    Definition Classes
      UIElement

25. #### def editable: Boolean

    Definition Classes
      TextComponent

26. #### def editable_=(x: Boolean): Unit

    Definition Classes
      TextComponent

27. #### def enabled: Boolean

    Definition Classes
      Component

28. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

29. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

30. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

31. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

32. #### def focusable: Boolean

    Definition Classes
      Component

33. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

34. #### def font: Font

    Definition Classes
      UIElement

35. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

36. #### def foreground: Color

    Definition Classes
      UIElement

37. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

38. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

39. #### def hasFocus: Boolean

    Definition Classes
      Component

40. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

41. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

42. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

43. #### var initP: JComponent

    Definition Classes
      Component

44. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

45. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

46. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

47. #### object keys extends Publisher

48. #### def lineCount: Int

49. #### def lineWrap: Boolean

50. #### def lineWrap_=(w: Boolean): Unit

51. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

52. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

53. #### def locale: Locale

    Definition Classes
      UIElement

54. #### def location: Point

    Definition Classes
      UIElement

55. #### def locationOnScreen: Point

    Definition Classes
      UIElement

56. #### def maximumSize: Dimension

    Definition Classes
      UIElement

57. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

58. #### def minimumSize: Dimension

    Definition Classes
      UIElement

59. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

60. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

61. #### def name: String

    Definition Classes
      Component

62. #### def name_=(s: String): Unit

    Definition Classes
      Component

63. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

64. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

65. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

66. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

67. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

68. #### def opaque: Boolean

    Definition Classes
      Component

69. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

70. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

71. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

72. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

73. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

74. #### def paste(): Unit

    Definition Classes
      TextComponent

75. #### lazy val peer: JTextArea

    Definition Classes
      TextArea → TextComponent → Component → UIElement

76. #### def preferredSize: Dimension

    Definition Classes
      UIElement

77. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

78. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

79. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

80. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

81. #### def repaint(): Unit

    Definition Classes
      UIElement

82. #### def requestFocus(): Unit

    Definition Classes
      Component

83. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

84. #### def revalidate(): Unit

    Definition Classes
      Component

85. #### def rows: Int

    Definition Classes
      TextArea → HasRows

86. #### def rows_=(n: Int): Unit

    Definition Classes
      TextArea → HasRows

87. #### def selectAll(): Unit

    Definition Classes
      TextComponent

88. #### def selected: String

    Definition Classes
      TextComponent

89. #### def self: Component

    Definition Classes
      UIElement → Proxy

90. #### def showing: Boolean

    Definition Classes
      UIElement

91. #### def size: Dimension

    Definition Classes
      UIElement

92. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

93. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

94. #### def tabSize: Int

95. #### def tabSize_=(n: Int): Unit

96. #### def text: String

    Definition Classes
      TextComponent

97. #### def text_=(t: String): Unit

    Definition Classes
      TextComponent

98. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Component → Proxy → AnyRef → Any

99. #### def toolkit: Toolkit

    Definition Classes
      UIElement

100. #### def tooltip: String

     Definition Classes
       Component

101. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

102. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

103. #### def visible: Boolean

     Definition Classes
       UIElement

104. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

105. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

106. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

107. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

108. #### def wordWrap: Boolean

109. #### def wordWrap_=(w: Boolean): Unit

110. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

111. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

112. #### def yLayoutAlignment: Double

     Definition Classes
       Component

113. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: TextArea.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from HasRows

### Inherited from HasColumns

### Inherited from TextComponent

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any